# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "elbey"
version = "0.7.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A desktop app launcher for Linux"
readme = "README.md"
license-file = "LICENSE"
repository = "https://github.com/kgilmer/elbey"

[[bin]]
name = "cache_inspect"
path = "src/bin/cache_inspect.rs"

[[bin]]
name = "elbey"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.argh]
version = "0.1"

[dependencies.elbey-cache]
version = "0.7.0"

[dependencies.freedesktop-desktop-entry]
version = "0.8"

[dependencies.iced]
version = "0.14"
features = [
    "image",
    "svg",
]

[dependencies.iced_layershell]
version = "0.14.2"

[dependencies.lazy_static]
version = "1.5"

[dependencies.shell-words]
version = "^1"

[dev-dependencies.iced_runtime]
version = "0.14"
